/*    *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)                               */
/*    *_> DLTCMD CMD(@5/@4)                                                  */
/*    *_> CRTCMD CMD(@5/@4) SRCFILE(@2/@1) SRCMBR(@3) +                      */
/*    *_>       PGM(XV0018    )                                              */
/*    *----------------------------------------------------------------------*/
/*    * Command: CHKOBJECT           Project.....:                           */
/*    * Author.: A. Campin           Date written: 01/31/2007                */
/*    * Purpose: Check to determine if a object exists and if current for    */
/*    *            source change date. If not, use COMPILE to recreate.      */
/*    *----------------------------------------------------------------------*/
/*    * Command Processor: XV0018                                            */
/*    *----------------------------------------------------------------------*/
/*    * Revision history:                                                    */
/*    *   Proj#  Pgmr         Date    Desc                                   */
/*    *                                                                      */
/*    *  End Revision History                                                */
/* --------------------------------------------------------------------------*/
   CMD        PROMPT('Check Object Existance')

/* Qualified Object Name                                                 */

 PARM       KWD(OBJNAME) TYPE(OBJNAME) PROMPT('Object name')

 OBJNAME:    QUAL       TYPE(*NAME) MIN(1)
             QUAL       TYPE(*NAME) LEN(10) DFT(*LIBL) SPCVAL((*LIBL)) PROMPT('Library')

/* Object Type.                                                               */

PARM       KWD(OBJTYPE) TYPE(*CHAR) LEN(10) MIN(1) PROMPT('Object Type')

/* Qualified Source File name                                                 */

 PARM       KWD(SRCFILE) TYPE(SRCFILE) PROMPT('Source file')

 SRCFILE: QUAL       TYPE(*NAME) DFT(QSRCF)
          QUAL       TYPE(*NAME) LEN(10) DFT(*LIBL) SPCVAL((*LIBL)) PROMPT('Library')

/* Source Member Name                                                         */

 PARM       KWD(SRCMBR) TYPE(*NAME) MIN(1) EXPR(*YES) +
                          PROMPT('Source member')
